Subject: Re: bug#6131: [PATCH]: fiemap support for efficient sparse file copy

From: Jim Meyering <[email-masked]>
Date: Sun, 13 Jun 2010 16:53:56 +0200

Jim Meyering wrote:
...
> So I will apply the test-fixing patch first, then your change,
> Jeff, and then rebase to the latest on master.

FYI, I did that.  In addition, I needed two more
changes in order to avoid "make distcheck" failure:

>From be5548445e90a36ab5018cac0fb19f2498d0521c Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 13 Jun 2010 16:19:29 +0200
Subject: [PATCH 1/2] build: distribute new file, fiemap.h

* src/Makefile.am (noinst_HEADERS): Add fiemap.h.
---
 src/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/src/Makefile.am b/src/Makefile.am
index 0630a06..7d56312 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -145,6 +145,7 @@ noinst_HEADERS =	\
   copy.h		\
   cp-hash.h		\
   dircolors.h		\
+  fiemap.h		\
   fs.h			\
   group-list.h		\
   ls.h			\
--
1.7.1.511.g2f531

>From f25181d32c40f82ee26dea6de6b7f4b385352a14 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 13 Jun 2010 16:34:42 +0200
Subject: [PATCH 2/2] build: distribute new test script, filefrag-extent-compare

* tests/Makefile.am (EXTRA_DIST): Add filefrag-extent-compare.
---
 tests/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/tests/Makefile.am b/tests/Makefile.am
index f7840c8..61ccf01 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -10,6 +10,7 @@ EXTRA_DIST =		\
   CuTmpdir.pm		\
   check.mk		\
   envvar-check		\
+  filefrag-extent-compare \
   init.sh		\
   lang-default		\
   other-fs-tmpdir	\
--
1.7.1.511.g2f531